Bug 126371 - sysutils/munin-main and sysutils/munin-node 1.2.6 available
Summary: sysutils/munin-main and sysutils/munin-node 1.2.6 available
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-08 14:30 UTC by Matthias Fechner
Modified: 2008-09-03 14:30 UTC (History)
0 users

See Also:


Attachments
munin-main-1.2.6.patch (6.58 KB, patch)
2008-08-09 17:33 UTC, Lupe Christoph
no flags Details | Diff
munin-node-1.2.6.patch (6.91 KB, patch)
2008-08-09 17:33 UTC, Lupe Christoph
no flags Details | Diff
munin-main-1.2.6.patch-var-db (6.82 KB, text/plain; charset=us-ascii)
2008-08-10 10:28 UTC, Lupe Christoph
no flags Details
munin-node-1.2.6.patch-var-db (7.15 KB, text/plain; charset=us-ascii)
2008-08-10 10:28 UTC, Lupe Christoph
no flags Details
munin-node-1.2.6.patch (8.09 KB, patch)
2008-08-17 13:13 UTC, Lupe Christoph
no flags Details | Diff
munin-main-1.2.6.patch (6.58 KB, patch)
2008-08-17 13:15 UTC, Lupe Christoph
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Fechner freebsd_committer 2008-08-08 14:30:02 UTC
New version of munin 1.2.6 with a lot of bugfixes is available.
Has anyone an updated port ready?
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2008-08-09 02:17:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->des

Create a useful synopsis and assign.
Comment 2 Lupe Christoph 2008-08-09 17:33:06 UTC
Hi!

Now that I finally have VMware running again, I was able to prepare
patches that take munin-node and munin-main to 1.2.6. Attached.

Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 3 Lupe Christoph 2008-08-10 10:28:07 UTC
I see that bug-followup@FreeBSD.org was unable to cope with two
attachments. It ran the two together. It shouldn't be hard to separate
them, though.

This single attachment addresses ports/124258. But I have found nothing
in the porters' handbook that says anything about the right place for
dynamic data. And a lot of ports use ${PREFIX}/var/<PORTNAME>.

This mail contains the patch for munin-main, the next one will have the
patch for munin-node.

Lupe Christoph
Comment 4 Lupe Christoph 2008-08-10 10:28:40 UTC
Patch for munin-node.

Lupe Christoph
Comment 5 Matthias Fechner freebsd_committer 2008-08-10 14:22:06 UTC
Hi Christoph,

Lupe Christoph wrote:
> Now that I finally have VMware running again, I was able to prepare
> patches that take munin-node and munin-main to 1.2.6. Attached.

The patches will not go in:
server# patch -sp1C < /home/idefix/munin-main-1.2.6.patch
3 out of 3 hunks failed--saving rejects to Makefile.rej
4 out of 4 hunks failed--saving rejects to files/patch-Makefile.config.rej
4 out of 4 hunks failed--saving rejects to pkg-plist.rej

server# patch -sp1C < /home/idefix/munin-node-1.2.6.patch
2 out of 2 hunks failed--saving rejects to Makefile.rej
4 out of 4 hunks failed--saving rejects to files/patch-Makefile.config.rej
1 out of 1 hunks failed--saving rejects to 
files/patch-hddtemp_smartctl.in.rej
1 out of 1 hunks failed--saving rejects to files/patch-if_.in.rej
3 out of 3 hunks failed--saving rejects to pkg-plist.rej

Bye
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook
Comment 6 Lupe Christoph 2008-08-10 15:11:34 UTC
On Sunday, 2008-08-10 at 15:22:06 +0200, Matthias Fechner wrote:
> Lupe Christoph wrote:
>> Now that I finally have VMware running again, I was able to prepare
>> patches that take munin-node and munin-main to 1.2.6. Attached.

> The patches will not go in:
> server# patch -sp1C < /home/idefix/munin-main-1.2.6.patch
> 3 out of 3 hunks failed--saving rejects to Makefile.rej
> 4 out of 4 hunks failed--saving rejects to files/patch-Makefile.config.rej
> 4 out of 4 hunks failed--saving rejects to pkg-plist.rej

> server# patch -sp1C < /home/idefix/munin-node-1.2.6.patch
> 2 out of 2 hunks failed--saving rejects to Makefile.rej
> 4 out of 4 hunks failed--saving rejects to files/patch-Makefile.config.rej
> 1 out of 1 hunks failed--saving rejects to  
> files/patch-hddtemp_smartctl.in.rej
> 1 out of 1 hunks failed--saving rejects to files/patch-if_.in.rej
> 3 out of 3 hunks failed--saving rejects to pkg-plist.rej

Sorry, I can't help you with the patch for munin-main. The patch for
munin-node is indeed broken. But I get different breakage.

vmw-freebsd7# rm -rf /usr/ports/sysutils/munin-*
vmw-freebsd7# cvsup -L 2 /etc/cvsupfile.ports
Parsing supfile "/etc/cvsupfile.ports"
Connecting to cvsup4.de.FreeBSD.org
Connected to cvsup4.de.FreeBSD.org
Server software version: SNAP_16_1h
Negotiating file attribute support
Exchanging collection information
Establishing multiplexed-mode data connection
Running
Updating collection ports-all/cvs
 Checkout ports/sysutils/munin-main/Makefile
 Checkout ports/sysutils/munin-main/distinfo
 Checkout ports/sysutils/munin-main/files/patch-Makefile
 Checkout ports/sysutils/munin-main/files/patch-Makefile.config
 Checkout ports/sysutils/munin-main/files/pkg-message.in
 Checkout ports/sysutils/munin-main/pkg-deinstall
 Checkout ports/sysutils/munin-main/pkg-descr
 Checkout ports/sysutils/munin-main/pkg-install
 Checkout ports/sysutils/munin-main/pkg-plist
 Checkout ports/sysutils/munin-node/Makefile
 Checkout ports/sysutils/munin-node/distinfo
 Checkout ports/sysutils/munin-node/files/munin-node-revive.sh.in
 Checkout ports/sysutils/munin-node/files/munin-node.sh.in
 Checkout ports/sysutils/munin-node/files/patch-Makefile.config
 Checkout ports/sysutils/munin-node/files/patch-hddtemp_smartctl.in
 Checkout ports/sysutils/munin-node/files/patch-if_.in
 Checkout ports/sysutils/munin-node/files/patch-munin-node.conf.in
 Checkout ports/sysutils/munin-node/files/pkg-message.in
 Checkout ports/sysutils/munin-node/files/plugins.conf
 Checkout ports/sysutils/munin-node/pkg-deinstall
 Checkout ports/sysutils/munin-node/pkg-descr
 Checkout ports/sysutils/munin-node/pkg-install
 Checkout ports/sysutils/munin-node/pkg-plist
Shutting down connection to server
Finished successfully
vmw-freebsd7# cd /usr/ports/sysutils/munin-main
vmw-freebsd7# wget -nv -O /tmp/munin-main-1.2.6.patch-var-db 'http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-2-diff&n=/patch-2.diff'
2008-08-10 15:33:20 URL:http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-2-diff&n=/patch-2.diff [7006] -> "/tmp/munin-main-1.2.6.patch-var-db" [1]
vmw-freebsd7# patch --silent --strip=1 --check < /tmp/munin-main-1.2.6.patch-var-db
vmw-freebsd7# cd /usr/ports/sysutils/munin-node
vmw-freebsd7# wget -nv -O /tmp/munin-node-1.2.6.patch-var-db 'http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-2-diff&n=/patch-3.diff'
2008-08-10 15:33:25 URL:http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-2-diff&n=/patch-3.diff [7006] -> "/tmp/munin-node-1.2.6.patch-var-db" [1]
vmw-freebsd7# patch --silent --strip=1 --check < /tmp/munin-node-1.2.6.patch-var-db
3 out of 3 hunks failed--saving rejects to Makefile.rej
1 out of 4 hunks failed--saving rejects to files/patch-Makefile.config.rej
4 out of 4 hunks failed--saving rejects to pkg-plist.rej

I will upload a corrected patch for munin-node.

Thanks for testing,
Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 7 Lupe Christoph 2008-08-10 15:20:27 UTC
On Sunday, 2008-08-10 at 16:11:34 +0200, Lupe Christoph wrote:

> Sorry, I can't help you with the patch for munin-main. The patch for
> munin-node is indeed broken. But I get different breakage.

Self-inflicted breakage, that is. I should not have tried to hand-edit
the URL for the patch. I managed to download the munin-main patch again...

> vmw-freebsd7# cd /usr/ports/sysutils/munin-node
> vmw-freebsd7# wget -nv -O /tmp/munin-node-1.2.6.patch-var-db 'http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-2-diff&n=/patch-3.diff'
> 2008-08-10 15:33:25 URL:http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-2-diff&n=/patch-3.diff [7006] -> "/tmp/munin-node-1.2.6.patch-var-db" [1]
> vmw-freebsd7# patch --silent --strip=1 --check < /tmp/munin-node-1.2.6.patch-var-db
> 3 out of 3 hunks failed--saving rejects to Makefile.rej
> 1 out of 4 hunks failed--saving rejects to files/patch-Makefile.config.rej
> 4 out of 4 hunks failed--saving rejects to pkg-plist.rej

This is correct:

vmw-freebsd7# wget -nv -O /tmp/munin-node-1.2.6.patch-var-db 'http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-3-diff&n=/patch-3.diff'
2008-08-10 15:34:22 URL:http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-3-diff&n=/patch-3.diff [7348] -> "/tmp/munin-node-1.2.6.patch-var-db" [1]
vmw-freebsd7# patch --silent --strip=1 --check < /tmp/munin-node-1.2.6.patch-var-db

No complaints. 

Now I have no idea what causes your problems.

Sorry,
Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 8 Matthias Fechner freebsd_committer 2008-08-10 16:40:01 UTC
Hi Christoph,

Lupe Christoph wrote:
> This is correct:
> 
> vmw-freebsd7# wget -nv -O /tmp/munin-node-1.2.6.patch-var-db 'http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-3-diff&n=/patch-3.diff'
> 2008-08-10 15:34:22 URL:http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-3-diff&n=/patch-3.diff [7348] -> "/tmp/munin-node-1.2.6.patch-var-db" [1]
> vmw-freebsd7# patch --silent --strip=1 --check < /tmp/munin-node-1.2.6.patch-var-db

I did it the same way, but it fails with error message posted before.
My version of installed port is:
# $FreeBSD: ports/sysutils/munin-main/Makefile,v 1.16 2008/06/24 
12:34:56 rafan Exp $

PORTVERSION=    1.2.5
PORTREVISION=   1

That is the version I get with portsnap and cvsup.
I'm running:
FreeBSD server.idefix.lan 7.0-STABLE FreeBSD 7.0-STABLE #4: Sat Jul 19 
11:54:07 CEST 2008 
root@server.idefix.lan:/usr/obj/usr/src/sys/SERVER2_I4B  i386

Bye
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook
Comment 9 Lupe Christoph 2008-08-10 16:59:04 UTC
On Sunday, 2008-08-10 at 17:40:01 +0200, Matthias Fechner wrote:
> Lupe Christoph wrote:
>> This is correct:

>> vmw-freebsd7# wget -nv -O /tmp/munin-node-1.2.6.patch-var-db 'http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-3-diff&n=/patch-3.diff'
>> 2008-08-10 15:34:22 URL:http://www.freebsd.org/cgi/query-pr.cgi?prp=126371-3-diff&n=/patch-3.diff [7348] -> "/tmp/munin-node-1.2.6.patch-var-db" [1]
>> vmw-freebsd7# patch --silent --strip=1 --check < /tmp/munin-node-1.2.6.patch-var-db

> I did it the same way, but it fails with error message posted before.
> My version of installed port is:
> # $FreeBSD: ports/sysutils/munin-main/Makefile,v 1.16 2008/06/24  
> 12:34:56 rafan Exp $

> PORTVERSION=    1.2.5
> PORTREVISION=   1

Yes, that's the most recent version of the munin-main port.

> That is the version I get with portsnap and cvsup.
> I'm running:
> FreeBSD server.idefix.lan 7.0-STABLE FreeBSD 7.0-STABLE #4: Sat Jul 19  
> 11:54:07 CEST 2008  
> root@server.idefix.lan:/usr/obj/usr/src/sys/SERVER2_I4B  i386

I doubt the FreeBSD version makes any difference. In fact, you should be
able to use the patch on any platform that has a patch command which
understands unified diffs.

As I said, i have no idea what is going wrong on your side. The
patches are OK.

Sorry,
Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 10 Lupe Christoph 2008-08-14 11:46:31 UTC
On Sunday, 2008-08-10 at 17:59:04 +0200, Lupe Christoph wrote:

> As I said, i have no idea what is going wrong on your side. The
> patches are OK.

Any news from your tests? I fear your problems with the patches are
keeping them from being committed.

Thanks,
Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 11 Matthias Fechner freebsd_committer 2008-08-17 11:56:00 UTC
Hi Christoph,

Lupe Christoph wrote:
> Any news from your tests? I fear your problems with the patches are
> keeping them from being committed.

was now able to patch and compile the new version.
One problem I found was in:
/usr/local/share/munin/plugins/netstat

There the path for netstat was /bin/netstat, I changed it to 
/usr/bin/netstat.

Then I symlinked /usr/local/var/munin to /var/db/munin.

Now everything seems to work fine.

Thanks for your work!

Bye
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook
Comment 12 Lupe Christoph 2008-08-17 12:40:00 UTC
On Sunday, 2008-08-17 at 12:56:00 +0200, Matthias Fechner wrote:

> was now able to patch and compile the new version.

Good.

> One problem I found was in:
> /usr/local/share/munin/plugins/netstat

> There the path for netstat was /bin/netstat, I changed it to  
> /usr/bin/netstat.

Somebody stupid (me) hardcoded pathes for external programs and made
that mistake. I wonder why nobody complained before.

I will add a patch for this release of the port and correct munin.

> Then I symlinked /usr/local/var/munin to /var/db/munin.

Well, I think we should have automatic data migration if we adopt this.
But that makes upgrading even more complicated because we may run into
problems like too little space in the /var filesystem.

I will undo that change.

> Now everything seems to work fine.

> Thanks for your work!

You cut out a little more work for me ;-)

Thanks for your test!
Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 13 Lupe Christoph 2008-08-17 13:13:20 UTC
Resending. I omitted bug-followup@FreeBSD.org and des@FreeBSD.org.

On Sunday, 2008-08-17 at 13:40:00 +0200, Lupe Christoph wrote:
> On Sunday, 2008-08-17 at 12:56:00 +0200, Matthias Fechner wrote:

> > One problem I found was in:
> > /usr/local/share/munin/plugins/netstat

> > There the path for netstat was /bin/netstat, I changed it to  
> > /usr/bin/netstat.

> Somebody stupid (me) hardcoded pathes for external programs and made
> that mistake. I wonder why nobody complained before.

> I will add a patch for this release of the port and correct munin.

This is a new patch for munin-node that adds files/patch-netstat.in. It
also undoes the change from $(PREFIX)/var/munin to /var/db/munin for the
reasons stated in my previous mail. But this is only relevant for
munin-main. See my next mail.

Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 14 Lupe Christoph 2008-08-17 13:15:21 UTC
On Sunday, 2008-08-17 at 13:40:00 +0200, Lupe Christoph wrote:
> On Sunday, 2008-08-17 at 12:56:00 +0200, Matthias Fechner wrote:

> > Then I symlinked /usr/local/var/munin to /var/db/munin.

> Well, I think we should have automatic data migration if we adopt this.
> But that makes upgrading even more complicated because we may run into
> problems like too little space in the /var filesystem.

> I will undo that change.

This new version of the patch to the munin-main port does just that.
Anybody wishing to have the volatile data under /var/db, please write a
robust data migration routine and submit a patch.

Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 15 Matthias Fechner freebsd_committer 2008-08-22 14:23:10 UTC
Hi Christoph,

* Lupe Christoph <lupe@lupe-christoph.de> [17-08-08 14:13]:
> This is a new patch for munin-node that adds files/patch-netstat.in. It
> also undoes the change from $(PREFIX)/var/munin to /var/db/munin for the
> reasons stated in my previous mail. But this is only relevant for
> munin-main. See my next mail.

there seems to be some missing dependencies:
net-mgmt/p5-Net-Netmask

And I have a problem with a missing font:
/usr/local/share/rrdtool/fonts/DejaVuSansMono-Roman.ttf
But that seems to be related to rrdtool and not munin.

Great work!

Bye
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook
Comment 16 Matthias Fechner freebsd_committer 2008-08-22 14:23:56 UTC
Hi Christoph,

* Lupe Christoph <lupe@lupe-christoph.de> [17-08-08 14:15]:
> This new version of the patch to the munin-main port does just that.
> Anybody wishing to have the volatile data under /var/db, please write a
> robust data migration routine and submit a patch.

good work, all problems seems to be fixed now with this patch.

Bye
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook
Comment 17 Lupe Christoph 2008-08-22 20:34:03 UTC
On Friday, 2008-08-22 at 15:23:10 +0200, Matthias Fechner wrote:

> there seems to be some missing dependencies:
> net-mgmt/p5-Net-Netmask

I'm not sure where this is a missing dependency. I have installed
munin-node on my test-VM and it runs without that.

> And I have a problem with a missing font:
> /usr/local/share/rrdtool/fonts/DejaVuSansMono-Roman.ttf
> But that seems to be related to rrdtool and not munin.

I can't see that Munin tries to use that font. I only found references
to VeraMono, and Munin includes server/VeraMono.ttf.

Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 18 Matthias Fechner freebsd_committer 2008-09-02 16:35:33 UTC
Hi Christoph,

* Lupe Christoph <lupe@lupe-christoph.de> [22-08-08 21:34]:
> I'm not sure where this is a missing dependency. I have installed
> munin-node on my test-VM and it runs without that.

if you use the script dhcpd3 it says:
# Requires:
#       Net::Netmask
#       HTTP::Date

so it requires the following ports for this script:
net-mgmt/p5-Net-Netmask
www/p5-libwww

Maybe other ports are required, but that I cannot really check because
all other scripts are running fine. ;)

> I can't see that Munin tries to use that font. I only found references
> to VeraMono, and Munin includes server/VeraMono.ttf.

it seems to be a problem to the current version of rrd_tool.
I got warnings in my log files but graphs are looking fine.

Bye
Matthias

-- 

"Programming today is a race between software engineers striving to
build bigger and better idiot-proof programs, and the universe trying to
produce bigger and better idiots. So far, the universe is winning." --
Rich Cook
Comment 19 Lupe Christoph 2008-09-03 10:16:15 UTC
On Tuesday, 2008-09-02 at 17:35:33 +0200, Matthias Fechner wrote:
> * Lupe Christoph <lupe@lupe-christoph.de> [22-08-08 21:34]:
> > I'm not sure where this is a missing dependency. I have installed
> > munin-node on my test-VM and it runs without that.

> if you use the script dhcpd3 it says:
> # Requires:
> #       Net::Netmask
> #       HTTP::Date

> so it requires the following ports for this script:
> net-mgmt/p5-Net-Netmask
> www/p5-libwww

> Maybe other ports are required, but that I cannot really check because
> all other scripts are running fine. ;)

You have to distinguish between the ports the Perl programs munin-<foo>
require and those of the plugins. The Munin packagers made a decision
not to add dependencies on Perl modules and external programs required
by plugins.

This prevents us from, e.g. installing smartmontools on a virtual
machine that has no disks supporting S.M.A.R.T. We want to avoid pulling
in all kinds of stuff the user does not need.

The alternative would be to package all plugins individually, each with
its dependencies. This would swamp the ports system (and the package
repositories of all platforms supporting Munin) with tiny packages.

So there is no missing dependency. BTW, the Debian package format allows
one to specify "Depends", "Recommends", and "Suggests". The Ubuntu
munin-node package has these lines:

Depends: adduser, libnet-server-perl, lsb-base (>= 3.0-10), perl, procps
Recommends: libnet-snmp-perl
Suggests: acpi | lm-sensors, ethtool, libnet-irc-perl, libwww-perl,
  munin, mysql-client, python (>= 2.2), smartmontools

But since FreeBSD has no equivalent of "Recommends" and "Suggests", the
port can only specify what the minimum requirements are to get munin-run
running.

> > I can't see that Munin tries to use that font. I only found references
> > to VeraMono, and Munin includes server/VeraMono.ttf.

> it seems to be a problem to the current version of rrd_tool.
> I got warnings in my log files but graphs are looking fine.

It looks like there are no problems with the two ports left. DES, can
you please commit the patches?

Matthias, thank you for your effort in getting this straightened out!

Lupe Christoph
-- 
| Insanity is catching.                                                  |
| Terry Pratchett, "Making Money"                                        |
Comment 20 Dag-Erling Smørgrav 2008-09-03 12:07:46 UTC
Lupe Christoph <lupe@lupe-christoph.de> writes:
> It looks like there are no problems with the two ports left. DES, can
> you please commit the patches?

You guys done arguing now?  :)

DES
--=20
Dag-Erling Sm=C3=B8rgrav - des@des.no
Comment 21 Matthias Fechner freebsd_committer 2008-09-03 12:58:51 UTC
Hi Des,

Dag-Erling Smørgrav wrote:
> You guys done arguing now?  :)

hehe no, it fine for me.

Bye,
Matthias

-- 
"Programming today is a race between software engineers striving to 
build bigger and better idiot-proof programs, and the universe trying to 
produce bigger and better idiots. So far, the universe is winning." -- 
Rich Cook
Comment 22 dfilter service freebsd_committer 2008-09-03 14:28:03 UTC
des         2008-09-03 13:27:50 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/munin-main  Makefile distinfo pkg-plist 
    sysutils/munin-main/files patch-Makefile.config 
    sysutils/munin-node  Makefile distinfo pkg-plist 
    sysutils/munin-node/files patch-Makefile.config 
                              patch-hddtemp_smartctl.in 
                              patch-if_.in 
  Added files:
    sysutils/munin-node/files patch-netstat.in 
  Log:
  Update to 1.2.6.
  
  PR:             ports/126371
  Submitted by:   Matthias Fechner <idefix@fechner.net>, Lupe Christoph <lupe@lupe-christoph.de>
  
  Revision  Changes    Path
  1.17      +6 -7      ports/sysutils/munin-main/Makefile
  1.12      +3 -3      ports/sysutils/munin-main/distinfo
  1.5       +14 -8     ports/sysutils/munin-main/files/patch-Makefile.config
  1.8       +6 -5      ports/sysutils/munin-main/pkg-plist
  1.25      +3 -4      ports/sysutils/munin-node/Makefile
  1.12      +3 -3      ports/sysutils/munin-node/distinfo
  1.6       +14 -8     ports/sysutils/munin-node/files/patch-Makefile.config
  1.2       +0 -13     ports/sysutils/munin-node/files/patch-hddtemp_smartctl.in
  1.2       +0 -22     ports/sysutils/munin-node/files/patch-if_.in
  1.1       +18 -0     ports/sysutils/munin-node/files/patch-netstat.in (new)
  1.13      +6 -0      ports/sysutils/munin-node/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 23 Dag-Erling Smørgrav freebsd_committer 2008-09-03 14:28:47 UTC
State Changed
From-To: open->closed

Committed, thanks